<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_rt_2024-11-01.xsd#rol_CTELabel" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_AkimotoAkiraMember_label" xlink:role="http://www.xbrl.org/2003/role/label">秋本　朗</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_AkimotoAkiraMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">秋本　朗 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted_label" xlink:role="http://www.xbrl.org/2003/role/label">電子記録債権割引高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">電子記録債権割引高</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">環境対策費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">環境対策費、営業外費用</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_EtoNaomiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">江藤　尚美</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_EtoNaomiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">江藤　尚美 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">固定資産撤去費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">固定資産撤去費、営業外費用</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_FixedRemuneration_label" xlink:role="http://www.xbrl.org/2003/role/label">基準報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_FixedRemuneration_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">基準報酬</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">星谷　哲男</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">星谷　哲男 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">木内　康裕</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">木内　康裕 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KobayashiShingoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">小林　伸互</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KobayashiShingoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">小林　伸互 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KubotaHisashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">久保田　尚志</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_KubotaHisashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">久保田　尚志 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">岡田　啓芳</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">岡田　啓芳 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_OgawaMarikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">小川　麻理子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_OgawaMarikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">小川　麻理子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">小野寺　俊博</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">小野寺　俊博 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL_label" xlink:role="http://www.xbrl.org/2003/role/label">金属鉱業等鉱害防止引当金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">金属鉱業等鉱害防止引当金、固定負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets_label" xlink:role="http://www.xbrl.org/2003/role/label">他の記載への参照２</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">指標及び目標</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label" xlink:role="http://www.xbrl.org/2003/role/label">特定譲渡制限付株式</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">特定譲渡制限付株式、役員区分ごとの報酬等</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">ステンレス鋼板及びその加工品事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ステンレス鋼板及びその加工品事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_SugaTaizouMember_label" xlink:role="http://www.xbrl.org/2003/role/label">菅　泰三</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_SugaTaizouMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">菅　泰三 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_TaniKenjiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">谷　謙二</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_TaniKenjiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">谷　謙二 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">豊田　浩</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">豊田　浩 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_UrataShigemiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">浦田　成己</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_UrataShigemiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">浦田　成己 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">若松　壮一</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">若松　壮一 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_YamadaHisashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">山田　恒</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01242-000_YamadaHisashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">山田　恒 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更による累積的影響額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_OtherNetPPE_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label">その他</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更を反映した当期首残高</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_OtherNetPPE" xlink:label="jppfs_cor_OtherNetPPE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2024-11-01/jppfs_cor_2024-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_AkimotoAkiraMember" xlink:label="jpcrp030000-asr_E01242-000_AkimotoAkiraMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted" xlink:label="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE" xlink:label="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_EtoNaomiMember" xlink:label="jpcrp030000-asr_E01242-000_EtoNaomiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE" xlink:label="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_FixedRemuneration" xlink:label="jpcrp030000-asr_E01242-000_FixedRemuneration" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember" xlink:label="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember" xlink:label="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_KobayashiShingoMember" xlink:label="jpcrp030000-asr_E01242-000_KobayashiShingoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_KubotaHisashiMember" xlink:label="jpcrp030000-asr_E01242-000_KubotaHisashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember" xlink:label="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_OgawaMarikoMember" xlink:label="jpcrp030000-asr_E01242-000_OgawaMarikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_OnoderaToshihiroMember" xlink:label="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL" xlink:label="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:label="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_SugaTaizouMember" xlink:label="jpcrp030000-asr_E01242-000_SugaTaizouMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_TaniKenjiMember" xlink:label="jpcrp030000-asr_E01242-000_TaniKenjiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_ToyodaHiroshiMember" xlink:label="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_UrataShigemiMember" xlink:label="jpcrp030000-asr_E01242-000_UrataShigemiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_WakamatsuSouichiMember" xlink:label="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01242-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E01242-000_YamadaHisashiMember" xlink:label="jpcrp030000-asr_E01242-000_YamadaHisashiMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_AkimotoAkiraMember" xlink:to="jpcrp030000-asr_E01242-000_AkimotoAkiraMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_AkimotoAkiraMember" xlink:to="jpcrp030000-asr_E01242-000_AkimotoAkiraMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted" xlink:to="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted" xlink:to="jpcrp030000-asr_E01242-000_ElectronicallyRecordedMonetaryClaimsDiscounted_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE" xlink:to="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE" xlink:to="jpcrp030000-asr_E01242-000_EnvironmentalExpensesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_EtoNaomiMember" xlink:to="jpcrp030000-asr_E01242-000_EtoNaomiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_EtoNaomiMember" xlink:to="jpcrp030000-asr_E01242-000_EtoNaomiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE" xlink:to="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE" xlink:to="jpcrp030000-asr_E01242-000_FixedAssetsRemovalCostsNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_FixedRemuneration" xlink:to="jpcrp030000-asr_E01242-000_FixedRemuneration_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_FixedRemuneration" xlink:to="jpcrp030000-asr_E01242-000_FixedRemuneration_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember" xlink:to="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember" xlink:to="jpcrp030000-asr_E01242-000_HoshiyaTetsuoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember" xlink:to="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember" xlink:to="jpcrp030000-asr_E01242-000_KiuchiYasuhiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KobayashiShingoMember" xlink:to="jpcrp030000-asr_E01242-000_KobayashiShingoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KobayashiShingoMember" xlink:to="jpcrp030000-asr_E01242-000_KobayashiShingoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KubotaHisashiMember" xlink:to="jpcrp030000-asr_E01242-000_KubotaHisashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_KubotaHisashiMember" xlink:to="jpcrp030000-asr_E01242-000_KubotaHisashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember" xlink:to="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember" xlink:to="jpcrp030000-asr_E01242-000_NobuyoshiOkadaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_OgawaMarikoMember" xlink:to="jpcrp030000-asr_E01242-000_OgawaMarikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_OgawaMarikoMember" xlink:to="jpcrp030000-asr_E01242-000_OgawaMarikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember" xlink:to="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember" xlink:to="jpcrp030000-asr_E01242-000_OnoderaToshihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL" xlink:to="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL" xlink:to="jpcrp030000-asr_E01242-000_ProvisionForPreventingEnvironmentalPollutionNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:to="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets" xlink:to="jpcrp030000-asr_E01242-000_ReferenceToOtherInformation2MetricsAndTargets_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E01242-000_RestrictedStockRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E01242-000_StainlessSteelFlatProductsAndProcessedGoodsBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_SugaTaizouMember" xlink:to="jpcrp030000-asr_E01242-000_SugaTaizouMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_SugaTaizouMember" xlink:to="jpcrp030000-asr_E01242-000_SugaTaizouMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_TaniKenjiMember" xlink:to="jpcrp030000-asr_E01242-000_TaniKenjiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_TaniKenjiMember" xlink:to="jpcrp030000-asr_E01242-000_TaniKenjiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember" xlink:to="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember" xlink:to="jpcrp030000-asr_E01242-000_ToyodaHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_UrataShigemiMember" xlink:to="jpcrp030000-asr_E01242-000_UrataShigemiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_UrataShigemiMember" xlink:to="jpcrp030000-asr_E01242-000_UrataShigemiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember" xlink:to="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember" xlink:to="jpcrp030000-asr_E01242-000_WakamatsuSouichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_YamadaHisashiMember" xlink:to="jpcrp030000-asr_E01242-000_YamadaHisashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01242-000_YamadaHisashiMember" xlink:to="jpcrp030000-asr_E01242-000_YamadaHisashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_OtherNetPPE" xlink:to="jppfs_cor_OtherNetPPE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>